Skip to main content
GET
/
forms
List all forms
curl --request GET \
  --url https://api.spike.ac/forms \
  --header 'Authorization: Bearer <token>'
{
  "forms": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "is_active": true,
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email_notifications": true,
      "notification_email": "<string>",
      "notification_emails": [
        "<string>"
      ],
      "redirect_url": "<string>",
      "allowed_domains": [
        "<string>"
      ],
      "webhook_enabled": true,
      "webhook_url": "<string>",
      "webhook_secret": "<string>",
      "custom_email_subject": "<string>",
      "custom_email_template": "<string>",
      "auto_responder_enabled": true,
      "auto_responder_subject": "<string>",
      "auto_responder_body": "<string>",
      "auto_responder_from_name": "<string>",
      "auto_responder_include_data": true,
      "slack_enabled": true,
      "slack_webhook_url": "<string>",
      "discord_enabled": true,
      "discord_webhook_url": "<string>",
      "google_sheets_enabled": true,
      "google_sheets_url": "<string>",
      "telegram_enabled": true,
      "telegram_bot_token": "<string>",
      "telegram_chat_id": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://doc.spike.ac/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication using either a Supabase JWT token or an API key (prefixed with sk_). Both token types are passed as Bearer tokens in the Authorization header.

Query Parameters

limit
string

Maximum number of forms to return (default: 20)

offset
string

Number of forms to skip (default: 0)

org_id
string<uuid>

Filter by organization ID

include_inactive
string

Include inactive forms (true/false)

Response

List of forms

forms
object[]
required
total
number
required